package com.gcsc.connection.tenant.repository;

import com.gcsc.connection.tenant.entity.SnpTenant;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

public interface SnpTenantRepository extends JpaRepository<SnpTenant, Long> {

    Optional<SnpTenant> findByTenantCode(String tenantCode);

    boolean existsByTenantCode(String tenantCode);
}
